If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Intermittent browser_ext_browserAction_popup_preload.js | Test timed out

NEW
Unassigned

Status

()

Toolkit
WebExtensions: Untriaged
P5
normal
7 months ago
2 days ago

People

(Reporter: aryx, Unassigned)

Tracking

({intermittent-failure, leave-open})

Trunk
intermittent-failure, leave-open
Points:
---

Firefox Tracking Flags

(firefox55 affected)

Details

(Whiteboard: [stockwell unknown])

https://treeherder.mozilla.org/logviewer.html#?job_id=88043999&repo=autoland

06:29:06     INFO -  128 INFO Entering test bound testBrowserActionDisabled
06:29:06     INFO -  129 INFO Extension loaded
06:29:06     INFO -  Buffered messages logged at 06:28:22
06:29:06     INFO -  130 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Button is disabled -
06:29:06     INFO -  131 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Have no pending popup prior to click -
06:29:06     INFO -  132 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Have no pending popup -
06:29:06     INFO -  133 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Have no pending popup timeout -
06:29:06     INFO -  134 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Have no pending popup -
06:29:06     INFO -  135 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Have no pending popup timeout -
06:29:06     INFO -  136 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Have no pending popup -
06:29:06     INFO -  137 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Have no pending popup timeout -
06:29:06     INFO -  138 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Have no pending popup -
06:29:06     INFO -  139 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Have no pending popup timeout -
06:29:06     INFO -  140 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Have no pending popup -
06:29:06     INFO -  141 INFO TEST-PASS | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Have no pending popup timeout -
06:29:06     INFO -  142 INFO Leaving test bound testBrowserActionDisabled
06:29:06     INFO -  143 INFO Entering test bound testBrowserActionTabPopulation
06:29:06     INFO -  144 INFO Extension loaded
06:29:06     INFO -  145 INFO Console message: [JavaScript Error: "Error: Popup destroyed" {file: "resource://app/modules/ExtensionPopups.jsm" line: 120}]
06:29:06     INFO -  Buffered messages finished
06:29:06    ERROR -  146 INFO TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Test timed out -
06:29:06     INFO -  Not taking screenshot here: see the one that was previously logged
06:29:06    ERROR -  147 INFO TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | no tasks awaiting on messages - Got ["tabTitle"], expected []
06:29:06     INFO -  Stack trace:
06:29:06     INFO -      chrome://mochikit/content/browser-test.js:test_is:911
06:29:06     INFO -      chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:ExtensionTestUtils.loadExtension/<:31
06:29:06     INFO -      chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:437
06:29:06     INFO -      timeoutFn@chrome://mochikit/content/browser-test.js:817:9
06:29:06     INFO -      setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:779:9
06:29:06     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:655:7
06:29:06     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:791:59
06:29:06     INFO -  Not taking screenshot here: see the one that was previously logged
06:29:06    ERROR -  148 INFO TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Extension left running at test shutdown -
06:29:06     INFO -  Stack trace:
06:29:06     INFO -      chrome://mochikit/content/tests/SimpleTest/ExtensionTestUtils.js:ExtensionTestUtils.loadExtension/<:109
06:29:06     INFO -      chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:437
06:29:06     INFO -      timeoutFn@chrome://mochikit/content/browser-test.js:817:9
06:29:06     INFO -      setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:779:9
06:29:06     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:655:7
06:29:06     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:791:59
06:29:06     INFO -  GECKO(4072) | JavaScript error: resource://app/modules/ExtensionPopups.jsm, line 120: Error: Popup destroyed
06:29:06     INFO -  GECKO(4072) | MEMORY STAT | vsize 683MB | vsizeMaxContiguous 611MB | residentFast 230MB | heapAllocated 94MB
06:29:06     INFO -  149 INFO TEST-OK | browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | took 45064ms

Comment 1

6 months ago
10 failures in 883 pushes (0.011 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 3
* autoland: 3
* mozilla-inbound: 2
* oak: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32-vm: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-04-24&endday=2017-04-30&tree=all

Updated

6 months ago
Summary: Intermittent browser/components/extensions/test/browser/test-oop-extensions/browser_ext_browserAction_popup_preload.js | Test timed out - → Intermittent browser_ext_browserAction_popup_preload.js | Test timed out

Comment 2

5 months ago
17 failures in 770 pushes (0.022 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 5
* mozilla-inbound: 4
* autoland: 4
* mozilla-central: 3
* graphics: 1

Platform breakdown:
* windows7-32-vm: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-05-01&endday=2017-05-07&tree=all

Comment 3

5 months ago
16 failures in 879 pushes (0.018 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 7
* mozilla-inbound: 5
* mozilla-central: 2
* oak: 1
* graphics: 1

Platform breakdown:
* windows7-32-vm: 16

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-05-08&endday=2017-05-14&tree=all

Comment 4

5 months ago
All failures are win7-opt. Failure frequency seemed to increase around May 12.

:kmag - Any thoughts on making this more reliable? Could it be skipped on win7-opt?
Flags: needinfo?(kmaglione+bmo)

Comment 5

5 months ago
34 failures in 777 pushes (0.044 failures/push) were associated with this bug in the last 7 days. 

This is the #35 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 18
* mozilla-inbound: 8
* mozilla-central: 4
* try: 2
* graphics: 2

Platform breakdown:
* windows7-32-vm: 34

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-05-15&endday=2017-05-21&tree=all

Comment 6

5 months ago
15 failures in 172 pushes (0.087 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 9
* mozilla-inbound: 4
* try: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32-vm: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-05-23&endday=2017-05-23&tree=all

Comment 7

5 months ago
65 failures in 891 pushes (0.073 failures/push) were associated with this bug in the last 7 days. 

This is the #20 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 30
* mozilla-inbound: 17
* mozilla-central: 12
* try: 5
* graphics: 1

Platform breakdown:
* windows7-32-vm: 64
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-05-22&endday=2017-05-28&tree=all

Comment 8

5 months ago
Pushed by gbrown@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/3320e2c5c0b4
Skip test browser_ext_browserAction_popup_preload.js on win-opt; r=me,test-only

Updated

5 months ago
Whiteboard: [stockwell disabled]

Updated

5 months ago
Keywords: leave-open

Comment 9

5 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/3320e2c5c0b4

Comment 10

5 months ago
10 failures in 820 pushes (0.012 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 6
* mozilla-inbound: 3
* try: 1

Platform breakdown:
* windows7-32-vm: 9
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-05-29&endday=2017-06-04&tree=all

Comment 11

4 months ago
6 failures in 864 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 4
* try: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-06-05&endday=2017-06-11&tree=all

Comment 12

4 months ago
32 failures in 814 pushes (0.039 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 19
* mozilla-inbound: 9
* try: 2
* mozilla-central: 2

Platform breakdown:
* osx-10-10: 32

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-06-12&endday=2017-06-18&tree=all
now we have a lot of failures on osx/opt, :kmag, can we look into these or should we skip osx as well?
Whiteboard: [stockwell disabled] → [stockwell needswork]
Hrm. So prior to May 31st, all of the failures were on Windows 7-32. Then there were no failures for a week, and all of the failures since been on OS-X.

And in nearly all of the failure screenshots on OS-X, there's a "What's New in OS X Yosemite" popup over the toolbar button we're testing:

http://mozilla-releng-blobs.s3.amazonaws.com/blobs/autoland/sha512/72b85c96e1b1c86dbf084187aff8db927cdcb9cf0938cd317ffc2fa688ea27794f7538dd1624bf47e9f12a2a402d9f71c92a76be466e3b0f67422e2626620437

which is suspicious.
Flags: needinfo?(kmaglione+bmo)
I have seen this in many screenshots before, but we have determined this is there most if not all the time and is not a concern- possibly this is a wrong conclusion.

Keep in mind the earlier failures were win7 and we disabled the test on that platform.

Comment 16

4 months ago
16 failures in 892 pushes (0.018 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 5
* mozilla-inbound: 5
* autoland: 4
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* osx-10-10: 15
* osx-10-10-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-06-19&endday=2017-06-25&tree=all

Comment 17

4 months ago
15 failures in 718 pushes (0.021 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 7
* mozilla-inbound: 5
* mozilla-central: 2
* mozilla-beta: 1

Platform breakdown:
* osx-10-10: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-06-26&endday=2017-07-02&tree=all

Comment 18

3 months ago
23 failures in 656 pushes (0.035 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 12
* autoland: 9
* mozilla-beta: 2

Platform breakdown:
* osx-cross: 13
* osx-10-10: 9
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-07-03&endday=2017-07-09&tree=all
Whiteboard: [stockwell needswork] → [stockwell unknown]

Comment 19

3 months ago
14 failures in 720 pushes (0.019 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 5
* mozilla-inbound: 3
* mozilla-beta: 3
* try: 1
* pine: 1
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 9
* osx-cross: 4
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 20

3 months ago
13 failures in 822 pushes (0.016 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 5
* mozilla-inbound: 3
* try: 2
* mozilla-beta: 2
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 12
* macosx64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 21

3 months ago
5 failures in 1008 pushes (0.005 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 3
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 3
* macosx64-devedition: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-07-24&endday=2017-07-30&tree=all

Comment 22

2 months ago
8 failures in 888 pushes (0.009 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 4
* autoland: 3
* oak: 1

Platform breakdown:
* osx-10-10: 7
* macosx64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-07-31&endday=2017-08-06&tree=all

Comment 23

2 months ago
9 failures in 901 pushes (0.01 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 6
* mozilla-inbound: 2
* mozilla-release: 1

Platform breakdown:
* osx-10-10: 3
* macosx64-nightly: 3
* macosx64-devedition: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-08-07&endday=2017-08-13&tree=all

Comment 24

2 months ago
2 failures in 949 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-release: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-08-14&endday=2017-08-20&tree=all

Comment 25

2 months ago
5 failures in 908 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 4
* mozilla-release: 1

Platform breakdown:
* macosx64-devedition: 3
* osx-10-10: 1
* macosx64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-08-21&endday=2017-08-27&tree=all

Comment 26

a month ago
1 failures in 939 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* macosx64-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-08-28&endday=2017-09-03&tree=all

Updated

a month ago
Priority: -- → P5

Comment 27

a month ago
5 failures in 1032 pushes (0.005 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 3
* autoland: 2

Platform breakdown:
* osx-10-10: 2
* macosx64-nightly: 2
* macosx64-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-09-11&endday=2017-09-17&tree=all

Comment 28

23 days ago
2 failures in 943 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 2

Platform breakdown:
* macosx64-devedition: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 29

16 days ago
1 failures in 885 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* macosx64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-09-25&endday=2017-10-01&tree=all
6 failures in 824 pushes (0.007 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 2
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* macosx64-stylo-disabled: 3
* osx-10-10: 1
* macosx64-nightly: 1
* macosx64-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-10-02&endday=2017-10-08&tree=all
7 failures in 947 pushes (0.007 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 3
* mozilla-inbound: 2
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 3
* macosx64-stylo-disabled: 3
* macosx64-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352668&startday=2017-10-09&endday=2017-10-15&tree=all
You need to log in before you can comment on or make changes to this bug.